#
# spec file for package wmaker (Version 0.15)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libjpeg libtiff xpm libz libpng librle libfbm libnetpb autoconf

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         wmaker
Release:      3
Copyright:    1997, Alfredo K. Kojima
Group: 
Provides:     WindowMaker 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      0.15
Summary:      WindowMaker
Source:  WindowMaker-0.15.1.tar.gz
Patch:   WindowMaker-0.15.1.dif
Patch1: WindowMaker-0.15.1-allow-null-workspaceback.patch
Patch2: WindowMaker-0.15.1-fix-hresize-marks.patch
Patch3: WindowMaker-0.15.1-make.patch
Patch4: WindowMaker-0.15.1-aspect-ratio.works.patch
Patch5: WindowMaker-0.15.1-attract-icons.patch
Patch6: WindowMaker-0.15.1-omnipresent-icons.patch
Patch7: WindowMaker-0.15.1-workspace-menu.patch
%description
WindowMaker is a colourful and felxible window manager and the
designated successor of AfterStep.
Especially the so called "themes" make it very interesting.
Those themes may be found in package wmthemes.
To use it just place the following line in your ~/.bashrc:
export WINDOWMANAGER=windowmaker
Documentation in:
/usr/doc/packages/wmaker 

Authors:
--------
    Alfredo K. Kojima <kojima@windowmaker.org>

%prep
%setup -n WindowMaker-0.15.1
tar xfvzp libPropList.tar.gz
%patch -P 0 -P 1 -P 2 -P 3
cd ./src
pwd 
%patch -P 4 -P 5 -P 6 -P 7
%build
(
    #
    # the following is not very clean, but since wmaker comes with
    # libPropList as a tar-ball, I've to get it out first and install it
    # otherwise wmaker won't configure correctly
    #
    cd ./libPropList
    ./configure \
	--prefix=/usr/X11R6 \
	--datadir=/usr/X11R6/lib/X11 \
	--localstatedir=/var \
	--infodir=/usr/info \
	--mandir=/usr/X11R6/man
    make
    make install
    ldconfig
)
autoconf
./configure \
    --prefix=/usr/X11R6 \
    --datadir=/usr/X11R6/lib/X11 \
    --localstatedir=/var \
    --infodir=/usr/info \
    --mandir=/usr/X11R6/man \
    --with-nlsdir=/usr/share/locale \
    --with-pixmapdir=/usr/X11R6/include/X11/pixmaps \
    --with-gfx-libs=-L/usr/X11R6/lib \
    --enable-superfluous \
    --enable-sound \
    --enable-newstyle
make
%install
DOCDIR=/usr/doc/packages/wmaker
DOC="AUTHORS BUGFORM BUGS COPYING ChangeLog FAQ INSTALL Install NEWS README TODO"
LIBDOC="AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README TODO"
ln -sf COPYING COPYING.LIB
make install
for i in \
  geticonset \
  getstyle \
  seticons \
  setstyle \
  wdwrite \
  wmaker \
  wmsetbg \
  wxcopy \
  wxpaste
do
    strip /usr/X11R6/bin/${i}
done
#
# start wrapper
#
install -m 755 windowmaker /usr/X11R6/bin
(
    cd ./libPropList
    make install
)
install -d -m 755 ${DOCDIR}
install -m 644 ${DOC} ${DOCDIR}
install -d -m 755 ${DOCDIR}/libPropList
install -m 644 ${LIBDOC} ${DOCDIR}/libPropList
Check
%files
%dir /usr/X11R6/lib/X11/WindowMaker
%dir /usr/X11R6/lib/X11/WindowMaker/Backgrounds
%dir /usr/X11R6/lib/X11/WindowMaker/Defaults
%dir /usr/X11R6/lib/X11/WindowMaker/IconSets
%dir /usr/X11R6/lib/X11/WindowMaker/Pixmaps
%dir /usr/X11R6/lib/X11/WindowMaker/Sounds
%dir /usr/X11R6/lib/X11/WindowMaker/Styles
%dir /usr/X11R6/lib/X11/WindowMaker/Themes
%docdir /usr/doc/packages/wmaker
%docdir /usr/doc/packages/wmaker/libPropList
/usr/X11R6/bin/convertstyle
/usr/X11R6/bin/dockit
/usr/X11R6/bin/geticonset
/usr/X11R6/bin/getstyle
/usr/X11R6/bin/seticons
/usr/X11R6/bin/setstyle
/usr/X11R6/bin/wdwrite
/usr/X11R6/bin/wmaker
/usr/X11R6/bin/wmaker.inst
/usr/X11R6/bin/windowmaker
/usr/X11R6/bin/wmsetbg
/usr/X11R6/bin/wxcopy
/usr/X11R6/bin/wxpaste
/usr/X11R6/include/WMaker.h
/usr/X11R6/include/proplist.h
/usr/X11R6/include/wraster.h
/usr/X11R6/lib/X11/WindowMaker/Backgrounds/OpenStep
/usr/X11R6/lib/X11/WindowMaker/Copyright
/usr/X11R6/lib/X11/WindowMaker/Defaults/WMRootMenu
/usr/X11R6/lib/X11/WindowMaker/Defaults/WMState
/usr/X11R6/lib/X11/WindowMaker/Defaults/WMWindowAttributes
/usr/X11R6/lib/X11/WindowMaker/Defaults/WindowMaker
/usr/X11R6/lib/X11/WindowMaker/IconSets/Default
/usr/X11R6/lib/X11/WindowMaker/Pixmaps/GNUstep.tif
/usr/X11R6/lib/X11/WindowMaker/Pixmaps/GNUstep.xpm
/usr/X11R6/lib/X11/WindowMaker/Pixmaps/GNUstep3D.tif
/usr/X11R6/lib/X11/WindowMaker/Pixmaps/GNUstep3D.xpm
/usr/X11R6/lib/X11/WindowMaker/Pixmaps/GNUterm.tif
/usr/X11R6/lib/X11/WindowMaker/Pixmaps/GNUterm.xpm
/usr/X11R6/lib/X11/WindowMaker/Pixmaps/Sound.tif
/usr/X11R6/lib/X11/WindowMaker/Pixmaps/Sound.xpm
/usr/X11R6/lib/X11/WindowMaker/Pixmaps/clip.tif
/usr/X11R6/lib/X11/WindowMaker/Pixmaps/clip.xpm
/usr/X11R6/lib/X11/WindowMaker/Pixmaps/defaultAppIcon.tif
/usr/X11R6/lib/X11/WindowMaker/Pixmaps/defaultAppIcon.xpm
/usr/X11R6/lib/X11/WindowMaker/README
/usr/X11R6/lib/X11/WindowMaker/Styles/Black
/usr/X11R6/lib/X11/WindowMaker/Styles/Blue
/usr/X11R6/lib/X11/WindowMaker/Styles/BlueAluminum
/usr/X11R6/lib/X11/WindowMaker/Styles/Brown
/usr/X11R6/lib/X11/WindowMaker/Styles/Chumbo
/usr/X11R6/lib/X11/WindowMaker/Styles/Copper
/usr/X11R6/lib/X11/WindowMaker/Styles/DarkBlue
/usr/X11R6/lib/X11/WindowMaker/Styles/Fire
/usr/X11R6/lib/X11/WindowMaker/Styles/Food
/usr/X11R6/lib/X11/WindowMaker/Styles/Golden
/usr/X11R6/lib/X11/WindowMaker/Styles/Green
/usr/X11R6/lib/X11/WindowMaker/Styles/LightBlue
/usr/X11R6/lib/X11/WindowMaker/Styles/Pastel
/usr/X11R6/lib/X11/WindowMaker/Styles/Pumpkin
/usr/X11R6/lib/X11/WindowMaker/Styles/Purple
/usr/X11R6/lib/X11/WindowMaker/Styles/Rainbow
/usr/X11R6/lib/X11/WindowMaker/Styles/Red
/usr/X11R6/lib/X11/WindowMaker/Styles/RednBlue
/usr/X11R6/lib/X11/WindowMaker/Styles/Traditional
/usr/X11R6/lib/X11/WindowMaker/Themes/Default
/usr/X11R6/lib/X11/WindowMaker/Themes/OpenStep
/usr/X11R6/lib/X11/WindowMaker/autostart.sh
/usr/X11R6/lib/X11/WindowMaker/menu
/usr/X11R6/lib/X11/WindowMaker/menu.cz
/usr/X11R6/lib/X11/WindowMaker/menu.de
/usr/X11R6/lib/X11/WindowMaker/menu.fr
/usr/X11R6/lib/X11/WindowMaker/menu.gl
/usr/X11R6/lib/X11/WindowMaker/menu.it
/usr/X11R6/lib/X11/WindowMaker/menu.ja
/usr/X11R6/lib/X11/WindowMaker/menu.ko
/usr/X11R6/lib/X11/WindowMaker/menu.nl
/usr/X11R6/lib/X11/WindowMaker/menu.no
/usr/X11R6/lib/X11/WindowMaker/menu.pt
/usr/X11R6/lib/X11/WindowMaker/wmmacros
/usr/X11R6/lib/libPropList.a
/usr/X11R6/lib/libWMaker.a
/usr/X11R6/lib/libwraster.a
%doc /usr/doc/packages/wmaker/AUTHORS
%doc /usr/doc/packages/wmaker/BUGFORM
%doc /usr/doc/packages/wmaker/BUGS
%doc /usr/doc/packages/wmaker/COPYING
%doc /usr/doc/packages/wmaker/ChangeLog
%doc /usr/doc/packages/wmaker/FAQ
%doc /usr/doc/packages/wmaker/INSTALL
%doc /usr/doc/packages/wmaker/Install
%doc /usr/doc/packages/wmaker/NEWS
%doc /usr/doc/packages/wmaker/README
%doc /usr/doc/packages/wmaker/TODO
%doc /usr/doc/packages/wmaker/libPropList/AUTHORS
%doc /usr/doc/packages/wmaker/libPropList/BUGS
%doc /usr/doc/packages/wmaker/libPropList/COPYING
%doc /usr/doc/packages/wmaker/libPropList/ChangeLog
%doc /usr/doc/packages/wmaker/libPropList/INSTALL
%doc /usr/doc/packages/wmaker/libPropList/NEWS
%doc /usr/doc/packages/wmaker/libPropList/README
%doc /usr/doc/packages/wmaker/libPropList/TODO

